[Numpy-discussion] Cython issues w/ 1.4.0

Pauli Virtanen pav@iki...
Tue Dec 8 12:08:11 CST 2009


ke, 2009-12-09 kello 02:47 +0900, David Cournapeau kirjoitti:
[clip]
> Of course, this does not prevent from applying your suggested change -
> I don't understand why you want to add it to 1.4.0, though. 1.4.0 does
> not break the ABI compared to 1.3.0. Or is it "just" to avoid the
> cython issue to reappear for 1.5.0 ?

Yes, it's to avoid having to deal with the Cython issue again in 1.5.0.
Although it's not strictly speaking an ABI break, it seems this is a bit
of a nuisance for some people, so if we can work around it cheaply, I
think we should do it.

We should maybe convince the Cython people to disable this check, at
least for Numpy.

-- 
Pauli Virtanen




More information about the NumPy-Discussion mailing list